//
//  AmountViewCell.swift
//  B24PaymentSdk
//
//  Created by visal ny on 25/12/24.
//

import UIKit

class AmountViewCell: UICollectionViewCell {
    
    @IBOutlet weak var container: UIView!
    @IBOutlet weak var amountLabel: UILabel!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        // Disable default selection background
        selectedBackgroundView = UIView()
        selectedBackgroundView?.backgroundColor = .clear
    }
    
    override func layoutSubviews() {
        super.layoutSubviews()
        // Refresh shadow path when bounds change, if a shadow exists
        if container.layer.shadowOpacity > 0 {
            container.layer.shadowPath = UIBezierPath(roundedRect: container.bounds, cornerRadius: container.layer.cornerRadius).cgPath
        }
    }
}
